# Samsung Galaxy S4 Mini LTE

This repository contains useful data for mainlining this device.

Board MSM8930

## Device documentation

[PostmarketOS Device Page](https://wiki.postmarketos.org/wiki/Samsung_Galaxy_S4_Mini_LTE_(samsung-serranolte))

[eOS Foundation Device Page](https://doc.e.foundation/devices/serranoltexx)

## Downstream kernel

android_kernel_samsung_msm8930-common
[gfgit fork GitHub](https://github.com/gfgit/android_kernel_samsung_msm8930-common)

## Mainline kernel base

[PostmarketOS proposed mainline base](https://github.com/apq8064-mainline)

This kernel is in common to multiple Qualcomm SoCs.
It should have some code in common with our MSM8930 board so it's a good starting point.

## Existing work

There is an abandoned port on Linux 4.19 for Nokia Lumia 625 which uses same board.

[flto's GitHub branch](https://github.com/flto/linux/tree/msm8930)

[Commit comparison](https://github.com/flto/linux/compare/master...msm8930)